Jump to content

2d Steel Pipe, elbows returns & tee lisp with dialog box and drop down list


ROBP

Recommended Posts

Finally achieved it thanks to ymg

 

Like usual load the lisp normally type pipe or pp to run layers are created automatically, a drop down menu for size and schedules are chosen op then selects the type needed to generate the pattern.

 

 

enjoy

 

r

Pipe V3.0.lsp

Link to comment
Share on other sites

Finally achieved it thanks to ymg

 

Like usual load the lisp normally type pipe or pp to run layers are created automatically, a drop down menu for size and schedules are chosen op then selects the type needed to generate the pattern.

 

 

enjoy

 

r

 

is looking good but... missing a function called 'listpol' (list polyline [points] or something?). Never the less , could be usefull for a lot of piping guys (or girls)

 

gr. Rlx

Link to comment
Share on other sites

is looking good but... missing a function called 'listpol' (list polyline [points] or something?). Never the less , could be usefull for a lot of piping guys (or girls)

 

gr. Rlx

 

 

Feel free to modify it and post it back the better it is the better it will be for all of the members

 

r

Link to comment
Share on other sites

rlx,

 

Here is function listpol:

 

;;                                                                            ;
;; listpol     by ymg    (Simplified a Routine by Gile Chanteau               ;
;;                                                                            ;
;; Parameter:  en,  Entity Name or Object Name of Any Type of Polyline        ;
;;                                                                            ;
;; Returns:    List of Points in Current UCS                                  ;
;;                                                                             
;; Notes:      On Closed Polyline the Last Vertex is Same as First)           ;
;;                                                                            ;

(defun listpol (en / i l)
  (repeat (setq i (fix (1+ (vlax-curve-getEndParam en))))
     (setq l (cons (trans (vlax-curve-getPointAtParam en (setq i (1- i))) 0 1) l))
  )
)

 

Included listpol the following attachment.

Also a few changes in delvertex (A little bit more concise)

 

To be complete would need to make sure that it is UCS compliant and maybe a small

modification to straight pipe input to remove the requirement of orthomode.

 

ymg

Pipe V3.0.lsp

Edited by ymg3
  • Like 1
Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...